Download it now!
Bug 61430 - Spellchecker Should Accept (Not Flag) variations based on "apostrophe S" ('s)
Summary: Spellchecker Should Accept (Not Flag) variations based on "apostrophe S" ('s)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
3.6.5.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Dictionaries
  Show dependency treegraph
 
Reported: 2013-02-25 09:00 UTC by Kumāra
Modified: 2018-11-05 00:05 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kumāra 2013-02-25 09:00:30 UTC
When I add a word into the user dictionary, such as "meditator", I expect these to be accepted as well:
	* Meditator
	* MEDITATOR
	* meditator’s
	* Meditator’s

Eudora (a venerable email client) is smart enough to not flag such variants as spelling errors, once the 'base word' is added in the user dictionary. When "Meditator" is added instead, "Meditator’s" is accepted too, but not "meditator". I think Eudora's spellchecker is very well thought out. The code is now open source. (I say that thinking that it might be useful.)

I can understand why "meditators" should not be included, but the above are safe to be accepted as correct.
Comment 1 Urmas 2013-02-25 12:49:36 UTC
There can not be any English-specific features in international spellchecker.
Comment 2 Kumāra 2013-06-18 04:21:50 UTC
But spell-chekers are language-specific, aren't they?
Besides, wouldn't it be possible to add this as an option?
As it is, it seems rather unpolished. I believe that implementing this would be very much welcomed.
Comment 3 Kumāra 2013-11-19 11:24:45 UTC
This is now partially fixed, as shown at Bug 37954.

Now, it would be great if words ending with "’s" would not be flagged as well if they are in an active custom/user dictionary.
Comment 4 Joel Madero 2014-11-06 17:40:16 UTC
Sounds like a valid enhancement request...despite myself not wanting such a "smart" system ;) Moving to NEW.
Comment 5 Joel Madero 2015-07-04 18:32:17 UTC
@Kumara - the more I think about this the harder it is to implement. In particular the possessive stuff:

For instance, what if someone adds a word that is not a noun, so there is no possessive element, then they want to write that word in plural but accidentally type 's instead of just an "s" - spell check doesn't show this as wrong despite it clearly being wrong.

Can you suggest how we might handle situations like this? I think it could lead to some relatively bad problems with spell check. Maybe something that needs to be discussed with UX team as well.
Comment 6 Urmas 2015-07-05 10:14:52 UTC
This should be closed as WONTFIX.
Comment 7 Kumāra 2015-07-09 02:50:23 UTC
(In reply to Joel Madero from comment #5)
> @Kumara - the more I think about this the harder it is to implement. In
> particular the possessive stuff:
> 
> For instance, what if someone adds a word that is not a noun, so there is no
> possessive element, then they want to write that word in plural but
> accidentally type 's instead of just an "s" - spell check doesn't show this
> as wrong despite it clearly being wrong.

Thanks for thinking about this. On the scenario you raised, I would count it as a grammar problem, rather than a spelling one. I think the occurrence would be rare. Besides, we can leave this to LanguageTool, which I'm playing a minor role in.

If we leave this as it is, users who add words not in the dictionary (and they are often nouns) would have to add many more words just because of the "apostrophe s".

For comparison sake, Eudora (the old email client which I'm *still* using) has an amazingly well thought-out spell-checker. It does what I suggested, and to my knowledge no one has ever complained about it.